#include <bits/stdc++.h>
using namespace std;
//recimo da je p_i uvek >=0
int a=0;
int c=1;
void unos(vector<long long> &p,int n){
for(int i=0 ;i<n ; i++){
    int x;
    cin>>x;
    p.push_back(x);
}
}
void obrada(vector<long long> &b,int k,vector<long long> &p,int n){
//kada se izdvoje n nad k podsupova skupa p i kako smo rekli da je p_i>=0 uvek moze c++ i od tih podskupova trazimo amax tako koje cemo stavljati u pomocni vektor a u tom slucaju x ce biti jednako n
vector<int> pom;  //niz iz kojeg se izbacuje n-k+1  najboljih(imace n nad k elem. n>=k)
// a=c*b[i];
// c++;
}
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    int n,k,x;
    cin>>n>>k>>x;
    vector<long long> p(n);
    vector<long long> b(k);
    unos(p,n);
    obrada(b,k,p,n);
    return 0;
}